Skip to main content
GET
/
responses
/
{response_id}
/
input_items
Error
A valid request URL is required to generate request examples
{
  "object": "list",
  "data": [
    {
      "type": "message",
      "id": "<string>"
    }
  ],
  "has_more": true,
  "first_id": "<string>",
  "last_id": "<string>"
}

Authorizations

api-key
string
header
required

Path Parameters

response_id
string
required

Query Parameters

api-version
enum<string>
default:v1

The explicit Azure AI Foundry Models API version to use for this request. v1 if not otherwise specified.

Available options:
v1,
preview
limit
integer<int32>
default:20

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.

order
enum<string>

Sort order by the created_at timestamp of the objects. asc for ascending order anddesc for descending order.

Available options:
asc,
desc
after
string

A cursor for use in pagination. after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo in order to fetch the next page of the list.

before
string

A cursor for use in pagination. before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include before=obj_foo in order to fetch the previous page of the list.

Response

The request has succeeded.

A list of Response items.

object
enum<string>
required

The type of object returned, must be list.

Available options:
list
data
object[]
required

A list of items used to generate this response.

has_more
boolean
required

Whether there are more items available.

first_id
string
required

The ID of the first item in the list.

last_id
string
required

The ID of the last item in the list.